/* Style the header */
body {
    background-color: #d3d3d3;
    margin-top: 0;
}

input[type=text]:focus {
    background: #fffacd;
}


@media only screen
and (min-device-width: 1800px) {
    .container {
        position: absolute;
        width: 95%;
        left: 2.5%;
        right: 2.5%;
    }
}

.page-header {
    color: #fffacd;
    background: #4682b4;
    padding-bottom: .5rem;
}

#user-id::before {
    content: "(";
}

#user-id::after {
    content: ")";
}

#user-id {
    margin-right: 0.5rem;
}

a {
    color: #fffacd;
}

.header-links a {
    padding-left: 0.5rem;
}

.search-links a {
    padding-left: 0.5rem;
}

.page-header h2 {
    display: inline-block;
    color: #fffacd;
    margin: 0.5em;
}

.header-links {
    margin-bottom: 0.5rem;
    padding-left: 0.25rem;
}

#pull-list-link {
    padding-right: 0.5rem;
}

a:hover{
    color: #ffff00;
}

#main-menu {
    padding-bottom: 4px;
    padding-left: 8px;
}

.menu-item {
    margin-right: 0.5rem;
}

.menu-item span,
.menu-item a {
    margin: 0;
    padding: 0;
}

.wiki-btn {
    display: inline-block;
    position: relative;
    width: 1rem;
    top: 3pt;
}

#chk-all-btn {
    width: 10rem;
    float: left;
}

.search-block {
    float: right;
}

.blue-title-bar {
    background: #1e90ff;
}

.title-bar-content {
    height: 2rem;
    line-height: 2rem;
    font-size: larger;
    font-family: monospace;
    padding-left: 0.5rem;
}

.accordion {
    margin-bottom: 1px;
    cursor: pointer;
}

.accordion-panel {
    background-color: #ffffff;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

.accordion .title-bar-content:after {
    content: '\02795'; /* Unicode character for "plus" sign (+) */
    font-size: 13px;
    color: #777;
    float: right;
    margin-left: 5px;
}

.active .title-bar-content:after {
    content: "\2796"; /* Unicode character for "minus" sign (-) */
}

.red-title-bar {
    background: #ff4500;
}

#navbar {
    overflow: hidden;
    width: 100%;
}

#navbar .blue-title-bar {
padding-bottom: 4px;
}

#series-name {
    display: inline-block;
}

#toolbar {
    float: right;
    width: 21rem;
}
/*noinspection CssUnusedSymbol*/
.sticky {
    position: sticky;
    top: 0;
    z-index: 100;
}

.nav-btn-row {
    margin-bottom: 0.5rem;
}

.nav-btn {
    font: bold 12px Arial;
    text-decoration: none;
    color: #333333;
    background-color: #f5f5f5;
    padding: 2px 16px 2px 16px;
    border: 1px solid #d3d3d3;
    border-right-color: #2f4f4f;
    border-bottom-color: #2f4f4f;
    box-shadow: 0 2px #2f4f4f;
    margin: 2px;
    cursor: pointer;
}

.btn-on
{
    background-color: #00A000
}


.nav-btn:hover {
    background-color: #d3d3d3;
}

.btn-on:hover
{
    background-color: #00F000;
}

.nav-btn:active {
    background-color: #a9a9a9;
    box-shadow: none;
    transform: translateY(1px);
}

/*noinspection CssUnusedSymbol*/
.vol-btn {
    float: left;
}

#set-volume-block {
    width: 21rem;
    float: right;
    margin-right: auto;
}

#vol-input {
    position: relative;
    top: 1px;
}

#edit-series-name-input {
    position: relative;
    top: 1px;
}

/*noinspection CssUnusedSymbol*/
.sticky + .content {
    padding-top: 60px;
}

.column-left {
    width: 80%;
    display: inline-block;
}

.column-right {
    float: right;
    display: inline-block;
    width: 20%;
}

.blue-row {
    background-color: #b0c4de;
    font-family: monospace;
    font-size: larger;
    padding: 0.25rem 0.5rem 0.5rem;
    border-bottom: 1px dotted #f5f5f5;
    display: none;
}

#pulled .blue-row {
    padding-right: 18%;
}

.blue-row.expanded {
    min-height: 3rem;
}

.blue-row:hover {
    background: #e6e6fa;
}

.blue-row:hover a {
    color: #1e90ff;
}

.variant {
    background-color: #32cd32;
    display: none;
}

.variant:hover {
    background-color: #98fb98;
}

.merch {
    background-color: #f0e68c;
    display: none;
}

.merch:hover {
    background-color: #eee8aa;
}

.tpb {
    background-color: #ffb6c1;
    display: none;
}

.tpb:hover {
    background-color: #ffe4e1;
}

.red-row {
    background-color: #ffb6c1;
    font-family: monospace;
    font-size: larger;
    padding: 0.25rem 0.5rem 0.5rem;
    border-bottom: 1px dotted #f5f5f5;
    display: none;
}

.red-row:hover {
    background: #ffe4e1;
}

.red-row:hover a {
    color: #ff4500;
}

.detail-row {
    margin-left: 4em;
}

.tab-bar {
    height: 2em;
    width: 100%;
}

.pull-btn-container {
    width: 1.5rem;
    display: inline-block;
    position: relative;
    top: 3pt;
}

.pull-btn:not(:active) > img {
    filter: drop-shadow(2px 2px #808080);
}

.pull-btn:hover {
    filter: invert(30%) drop-shadow(2px 2px #808080);
}

.pull-btn:active {
    transform: translateY(2px);
    filter: invert(30%);
}

.issue-checkbox {
    display: inline-block;
    width: 1.5rem;
}

.issue-sku {
    display: inline-block;
    position: relative;
    width: 1rem;
    top: 3pt;
    margin-right: 0.5rem;
}

.issue-date {
    display: inline-block;
    width: 6.5rem;
}

/* iPad */
@media only screen
and (min-device-width: 768px)
and (max-device-width: 1024px)
and (-webkit-min-device-pixel-ratio: 2) {
    .issue-name {
        width: 18rem;
    }
}

/* Macbook Pro */
@media only screen
and (min-width: 1025px)
and (max-width: 1400px) {
    .issue-name {
        width: 24rem;
    }
}

/* Desktop */
@media only screen
and (min-width: 1401px)
and (max-width: 1920px) {
    .issue-name {
        width: 34rem;
    }
}

.issue-name {
    display: inline-block;
    margin-left: 0.5rem;
    vertical-align: middle;
}

/* iPad - Portrait. */
@media only screen
and (min-device-width: 768px)
and (max-device-width: 1024px)
and (-webkit-min-device-pixel-ratio: 2)
and (orientation: portrait) {
    .edit-btn {
        display: none;
    }
}

.edit-btn {
    width: 1rem;
    display: inline-block;
}

/* iPad - Portrait. */
@media only screen
and (min-device-width: 768px)
and (max-device-width: 1024px)
and (-webkit-min-device-pixel-ratio: 2)
and (orientation: portrait) {
    .issue-details {
        display: inline-block;
        width: 8rem;
    }
}

/* iPad - Landscape. */
@media only screen
and (min-device-width: 768px)
and (max-device-width: 1024px)
and (-webkit-min-device-pixel-ratio: 2)
and (orientation: landscape) {
    .issue-details {
        width: 12rem;
    }
    .issue-inline-details {
        display: inline-block;
        width: 12rem;
    }

}

/* Macbook Pro */
@media only screen
and (min-width: 1025px)
and (max-width: 1400px) {
    .issue-details {
        width: 16rem;
    }
    .issue-inline-details {
        display: inline-block;
        width: 16rem;
    }
}

/* Desktop */
@media only screen
and (min-width: 1401px)
and (max-width: 1920px) {
    .issue-details {
        width: 42rem;
    }
    .issue-inline-details {
        display: inline-block;
        width: 22rem;
    }
}

.issue-details {
    display: inline-block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    padding: 0 2px;
    vertical-align: middle;
}

.issue-details-text {
    padding-left: .5rem;
}

.issue-raw-text {
    padding-left: .5rem;
}

.issue-full-details > .issue-details {
    margin-left: 2.5rem;
}

.issue-price-text:before {
    content: '$';
}

.issue-type {
    display: inline-block;
    width: 6rem;
}

.issue-price {
    margin-left: 1rem;
    display: inline-block;
    width: 4.5rem;
}

.issue-number:not(:empty):before {
    content: '#';
}

.issue-number {
    display: inline-block;
    width: 5rem;
    padding: 2px;
    vertical-align: middle;
}

.issue-ls-number {
    display: none;
    margin-left: 6px;
}

.issue-volume {
    display: inline-block;
    width: 3rem;
    padding: 2px;
}

.issue-extra-button a {
    text-decoration: none;
}

.issue-title,
.issue-raw {
    padding: 0 2px;
    height: 1rem;
}
.issue-title {
    display: inline-block;
}

.issue-raw {
    display: block;
    white-space: nowrap;
}
.issue-title {
    width: 100%;
}

.issue-extra {
    border-color: black;
}

.issue-extra-buttons {
    float: right;
}

.extra-btn {
    position: relative;
    bottom: 8px;
}

.item-details {
    margin-left: 15rem;
    padding-left: 0.5rem;
}

.list-head {
    background: #4682b4;
    padding-bottom: 1em;
}

.list-nav {
    padding-right: 1em;
}

.section-anchor {
    display: none;
}

.infobox {
    color: #00018a;
    background-color: #fefefe;
    margin: 2rem auto;
    padding: 20px;
    border: 4px solid #00018A;
    width: 60%;
}

/* Modal Dialog Box */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: #000000; /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

.modal-content {
    color: #00018a;
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 4px solid #00018A;
    width: 400px;
    max-width: 80%;
}

/* The Close Button */
.dlg-button {
    color: #8090AA;
    text-decoration: none;
    font-size: 28px;
    font-weight: bold;
}

.dlg-button:hover {
    color: #00018A;
    text-decoration: none;
    cursor: pointer;
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.alert {
    padding: 20px;
    background-color: #ff00008a;
    color: white;
}

.close-alert-btn {
    margin-left: 15px;
    color: white;
    font-weight: bold;
    float: right;
    font-size: 22px;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
}

.error {
    padding-left: 1rem;
    padding-bottom: 1rem;
}

.filter-panel {
    float: right;
    background-color: #4682b4;
    border-style: groove;
    border-color: blueviolet;
    width: 10rem;
}

.panel-heading {
    font-weight: bold;
}

.filter-panel > .filter:not(.active)::before {
    content: "\2610";
}

.filter-panel > .filter.active::before {
    content: "\2611";
}

.filter-panel > li {
    list-style: none;
}

.search-results {
    background: #4682b4;
}

.issue-details-label,
.issue-title-label,
.issue-raw-label {
    display: inline-block;
    width: 6rem;
    margin-left: 3.5rem;
}